---
sidebar_position: 8
description: Get product description and other functions to work with VK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get product description
 Gets the description template for creating a product



`Function GetProductDescription(Val Clear = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty valuse, False > field descriptions at values |

  
  Returns:  Map Of KeyAndValue - Fields map



```bsl title="1C:Enterprise/OneScript code example"
    Clear  = False;
    Result = OPI_VK.GetProductDescription(Clear);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint vk GetProductDescription \
             --empty false
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint vk GetProductDescription ^
             --empty false
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "Name": "New product",
 "Description": "Product description",
 "Category": "20173",
 "Price": 1,
 "OldPrice": null,
 "MainPhoto": null,
 "URL": null,
 "AdditionalPhotos": [],
 "PropertyValues": [],
 "MainInGroup": false,
 "Width": "***",
 "Height": null,
 "Depth": null,
 "Weight": null,
 "SKU": null,
 "AvailableBalance": 1
}
```
